using DataSharing.Share.Dtos.Province.HuiJu;
using FluentValidation;

namespace DataSharing.Validators.HuiJu
{
    internal class SubmitVisitInfoValidator : AbstractValidator<SubmitVisitInfo>
    {
        public SubmitVisitInfoValidator()
        {
            RuleFor(d => d.AreaCode).NotEmpty();
            RuleFor(d => d.CaseSerial).NotEmpty();
            RuleFor(d => d.VisitTime).NotEmpty();
            RuleFor(d => d.VisitName).NotEmpty();
            RuleFor(d => d.VisitRemark).NotEmpty();
            RuleFor(d => d.SubjectResultSatify).NotEmpty();
            RuleFor(d => d.FirstSatisfaction).NotEmpty();
            RuleFor(d => d.CliengGuid).NotEmpty();
            RuleFor(d => d.VisitType).NotEmpty();
        }
    }
}
